Bug 670477 - Review Request: perl-HTTP-Server-Simple-PSGI - PSGI handler for HTTP::Server::Simple
Summary: Review Request: perl-HTTP-Server-Simple-PSGI - PSGI handler for HTTP::Server:...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2011-01-18 12:34 UTC by Ralf Corsepius
Modified: 2011-08-11 08:19 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-03-21 03:32:16 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2011-01-18 12:34:57 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-HTTP-Server-Simple-PSGI.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-HTTP-Server-Simple-PSGI-0.14-1.fc15.src.rpm 

Description:
HTTP::Server::Simple::PSGI is a HTTP::Server::Simple based HTTP server that
can run PSGI applications. This module only depends on
HTTP::Server::Simple, which itself doesn't depend on any non-core modules
so it's best to be used as an embedded web server.

Comment 1 Iain Arnell 2011-03-12 08:08:23 UTC
+ source files match upstream.  
    c26795112c9f616dbd37ece1c5895b55  HTTP-Server-Simple-PSGI-0.14.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2906114

+ package installs properly.
+ rpmlint has no complaints:
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
    perl(HTTP::Server::Simple::PSGI) = 0.14
    perl-HTTP-Server-Simple-PSGI = 0.14-1.fc16
    perl(HTTP::Server::Simple::PSGI::Writer)  
=
    perl >= 0:5.005_03
    perl(base)  
    perl(HTTP::Server::Simple::CGI)  
    perl(:MODULE_COMPAT_5.12.3)  
    perl(strict)  
    perl(vars)  

+ %check is present and all tests pass.
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
    t/00_compile.t .. ok
    All tests successful.
    Files=1, Tests=1,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.03 cusr  0.00 csys =  0.04 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED.

Comment 2 Ralf Corsepius 2011-03-14 04:57:22 UTC
Thanks for the review, Iain.

New Package SCM Request
=======================
Package Name: perl-HTTP-Server-Simple-PSGI
Short Description: PSGI handler for HTTP::Server::Simple
Owners: corsepiu
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-03-14 15:37:22 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-03-15 04:22:31 UTC
perl-HTTP-Server-Simple-PSGI-0.14-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-HTTP-Server-Simple-PSGI-0.14-2.fc14

Comment 5 Fedora Update System 2011-03-15 04:22:38 UTC
perl-HTTP-Server-Simple-PSGI-0.14-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-HTTP-Server-Simple-PSGI-0.14-2.fc13

Comment 6 Fedora Update System 2011-03-15 04:22:46 UTC
perl-HTTP-Server-Simple-PSGI-0.14-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-HTTP-Server-Simple-PSGI-0.14-2.fc15

Comment 7 Fedora Update System 2011-03-15 17:06:20 UTC
perl-HTTP-Server-Simple-PSGI-0.14-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 8 Fedora Update System 2011-03-21 03:32:11 UTC
perl-HTTP-Server-Simple-PSGI-0.14-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Fedora Update System 2011-03-23 22:50:18 UTC
perl-HTTP-Server-Simple-PSGI-0.14-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 10 Fedora Update System 2011-03-23 22:56:56 UTC
perl-HTTP-Server-Simple-PSGI-0.14-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 11 Jose Pedro Oliveira 2011-08-10 22:47:53 UTC
Package Change Request
======================
Package Name: perl-HTTP-Server-Simple-PSGI
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 12 Gwyn Ciesla 2011-08-11 08:19:51 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.